> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scheduling Areas

> List & filter scheduling areas.

If you specify multiple values for some filter parameter they are OR-ed. If you specify multiple separate filters they are "AND"-ed.



## OpenAPI

````yaml /openapi.json get /core/v1/scheduling-areas
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /core/v1/scheduling-areas:
    get:
      summary: List Scheduling Areas
      description: >-
        List & filter scheduling areas.


        If you specify multiple values for some filter parameter they are OR-ed.
        If you specify multiple separate filters they are "AND"-ed.
      operationId: list_scheduling_areas_core_v1_scheduling_areas_get
      parameters:
        - description: Filter by EIC code(s)
          in: query
          name: id
          required: false
          schema:
            default: []
            description: Filter by EIC code(s)
            items:
              type: string
            title: Id
            type: array
        - description: Filter by name or short name using substring matching
          in: query
          name: name
          required: false
          schema:
            default: []
            description: Filter by name or short name using substring matching
            items:
              type: string
            title: Name
            type: array
        - description: Filter by ISO 3166-1 alpha-2 country codes
          in: query
          name: country
          required: false
          schema:
            default: []
            description: Filter by ISO 3166-1 alpha-2 country codes
            examples:
              - SE
            items:
              type: string
            title: Country
            type: array
      responses:
        '200':
          content:
            application/json:
              example:
                scheduling_areas:
                  - countries:
                      - SE
                    id: 10Y1001A1001A47J
                    name: Swedish Elspot Area 4
                    short_name: SE4
              schema:
                $ref: '#/components/schemas/GetSchedulingAreasResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetSchedulingAreasResponse:
      properties:
        scheduling_areas:
          items:
            $ref: '#/components/schemas/SchedulingArea'
          title: Scheduling Areas
          type: array
      required:
        - scheduling_areas
      title: GetSchedulingAreasResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SchedulingArea:
      description: >-
        A Scheduling Area is a core domain concept in the European energy
        market.


        The [ENTSO-e Harmonized Electricity Market Role
        Model](https://www.entsoe.eu/data/cim/role-models/) defines a Scheduling
        Area as:


        > An area within which the TSOs' obligations regarding scheduling apply
        due to operational or organisational needs. This area consists of one or
        more Metering Grid Areas with common market rules for which the
        settlement responsible party carries out an imbalance settlement and
        which has the same price for imbalance.


        In other words, it is the area within which schedules are submitted and
        imbalance is settled at a single price. In the Nordics each Scheduling
        Area shares its EIC with the corresponding Bidding Zone (e.g. SE3, NO1).
      example:
        countries:
          - SE
        id: 10Y1001A1001A47J
        name: Swedish Elspot Area 4
        short_name: SE4
      properties:
        countries:
          description: ISO 3166-1 alpha-2 country codes this scheduling area covers
          items:
            type: string
          title: Countries
          type: array
        id:
          description: EIC code identifying this scheduling area
          title: Id
          type: string
        name:
          description: Full official name of the scheduling area
          title: Name
          type: string
        short_name:
          description: Short display name for the scheduling area
          title: Short Name
          type: string
      required:
        - countries
        - id
        - name
        - short_name
      title: SchedulingArea
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````